Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.util.mail
Class XmlDocumentSource

    java.lang.Object
      com.novell.nds.dirxml.util.mail.FileSource
          com.novell.nds.dirxml.util.mail.XmlDocumentSource

Direct Known Subclasses:
  StylesheetSource

    public class XmlDocumentSource

extends FileSource

Class to read and parse XML documents from either the directory or the file system. Parsed documents are cached.

Note that changes to the document sources are not picked up, so the driver must be shut down and restarted in order to get changed documents.

Constructor Summary
`XmlDocumentSource(String dnBase, File pathBase)` Construct a XmlDocumentSource with the passed bases.

Method Summary
`Document` | `getXmlDocument(String path)` Find and parse an XML document in the directory or file system.

Methods inherited from class com.novell.nds.dirxml.util.mail.FileSource
`getFile, getFile, resolveFilename`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlDocumentSource

    public XmlDocumentSource(String dnBase,
                             File pathBase)

  Construct a XmlDocumentSource with the passed bases.

  Parameters:
    `pathBase` - Base location for files in file system.
    `dnBase` - Base location for objects in directory.

Method Detail

### getXmlDocument

    public Document getXmlDocument(String path)
                            throws IOException

  Find and parse an XML document in the directory or file system. Passed path is relative to dnBase or pathBase with which this object was constructed.

  Parameters:
    `path` - Path to XML document data.
  Throws:
    `IOException` - If data not found or couldn't be parsed as XML data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD